summaryrefslogtreecommitdiffstats
path: root/test/TEST-03-JOBS/TEST-03-JOBS.units/succeeds-on-restart.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-06-12 03:50:42 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-06-12 03:50:42 +0000
commit78e9bb837c258ac0ec7712b3d612cc2f407e731e (patch)
treef515d16b6efd858a9aeb5b0ef5d6f90bf288283d /test/TEST-03-JOBS/TEST-03-JOBS.units/succeeds-on-restart.sh
parentAdding debian version 255.5-1. (diff)
downloadsystemd-78e9bb837c258ac0ec7712b3d612cc2f407e731e.tar.xz
systemd-78e9bb837c258ac0ec7712b3d612cc2f407e731e.zip
Merging upstream version 256.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'test/TEST-03-JOBS/TEST-03-JOBS.units/succeeds-on-restart.sh')
-rwxr-xr-xtest/TEST-03-JOBS/TEST-03-JOBS.units/succeeds-on-restart.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/test/TEST-03-JOBS/TEST-03-JOBS.units/succeeds-on-restart.sh b/test/TEST-03-JOBS/TEST-03-JOBS.units/succeeds-on-restart.sh
new file mode 100755
index 0000000..1428b18
--- /dev/null
+++ b/test/TEST-03-JOBS/TEST-03-JOBS.units/succeeds-on-restart.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+# SPDX-License-Identifier: LGPL-2.1-or-later
+if [[ ! -f "/succeeds-on-restart.ko" ]]
+then
+ touch "/succeeds-on-restart.ko"
+ exit 1
+else
+ rm "/succeeds-on-restart.ko"
+ exit 0
+fi